/*
 * RAV API
 * RAV API
 *
 * OpenAPI spec version: 1.0.0-oas3
 * Contact: name@mail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.rav.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
/**
 * ConfigurationDictTestcases
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-06T19:10:49.373Z[GMT]")
public class ConfigurationDictTestcases {
  @SerializedName("tcID")
  private String tcID = null;

  @SerializedName("configuration")
  private ModelConfiguration _configuration = null;

  public ConfigurationDictTestcases tcID(String tcID) {
    this.tcID = tcID;
    return this;
  }

  /**
   * Get tcID
   * @return tcID
   **/
  public String getTcID() {
    return tcID;
  }

  public void setTcID(String tcID) {
    this.tcID = tcID;
  }

  public String exdId;

  public void setExdId(String exdId) {
    this.exdId = exdId;
  }

  public ConfigurationDictTestcases _configuration(ModelConfiguration _configuration) {
    this._configuration = _configuration;
    return this;
  }

  /**
   * Get _configuration
   * @return _configuration
   **/
  public ModelConfiguration getConfiguration() {
    return _configuration;
  }

  public void setConfiguration(ModelConfiguration _configuration) {
    this._configuration = _configuration;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ConfigurationDictTestcases configurationDictTestcases = (ConfigurationDictTestcases) o;
    return Objects.equals(this.tcID, configurationDictTestcases.tcID) &&
            Objects.equals(this._configuration, configurationDictTestcases._configuration);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tcID, _configuration);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ConfigurationDictTestcases {\n");

    sb.append("    tcID: ").append(toIndentedString(tcID)).append("\n");
    sb.append("    _configuration: ").append(toIndentedString(_configuration)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
